-- --------------------------------------------------
-- Innkeep Professions
-- Need to confirm for:
-- Leatherworking, Blacksmithing, Engineering, Poisons
-- --------------------------------------------------
InnkeepProfessions = {}

function InnkeepProfessions:GetCraftRecord()
  local recipes = {}
  local numCrafts = GetNumCrafts()
  if numCrafts == 0 then
    return nil
  end
  for i=1, numCrafts do
    local craftName, _, craftType = GetCraftInfo(i)
    if craftType ~= "header" then
      table.insert(recipes, craftName)
    end
  end
  return {
    name = GetCraftName(),
    recipes = recipes,
  }
end

function InnkeepProfessions:GetTradeSkillRecord()
  local recipes = {}
  local numCrafts = GetNumTradeSkills()
  if numCrafts == 0 then
    return nil
  end
  for i=1, numCrafts do
    local skillName, skillType = GetTradeSkillInfo(i)
    if skillType ~= "header" then
      table.insert(recipes, skillName)
    end
  end
  return {
    name = GetTradeSkillLine(),
    recipes = recipes,
  }
end

function InnkeepProfessions:GetOpenProfessionInfo()
  local record = self:GetTradeSkillRecord()
  if record then
    return record
  end
  return self:GetCraftRecord()
end
